English | Deutsch | Español | Português
 UserID:
 Passwd:
new user
 About:   Dedicated  | Advanced  | Standard  | Recurring  | No Risk  | Desktop  | Basic  | Single  | Security Seal  | FAQ
  Price/Feature Summary  | Order  | New Vulnerabilities  | Confidentiality  | Vulnerability Search
 Vulnerability   
Search   
    Search 76783 CVE descriptions
and 40246 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.59200
Category:Ubuntu Local Security Checks
Title:Ubuntu USN-511-1 (librpcsecgss)
Summary:Ubuntu USN-511-1 (librpcsecgss)
Description:
The remote host is missing an update to librpcsecgss
announced via advisory USN-511-1.

A security issue affects the following Ubuntu releases:

Ubuntu 6.06 LTS
Ubuntu 6.10
Ubuntu 7.04

This advisory also applies to the corresponding versions of
Kubuntu, Edubuntu, and Xubuntu.

Details follow:

It was discovered that the libraries handling RPCSEC_GSS did not correctly
validate the size of certain packet structures. An unauthenticated remote
user could send a specially crafted request and execute arbitrary code
with root privileges.

Solution:
The problem can be corrected by upgrading your system to the
following package versions:

Ubuntu 6.06 LTS:
libkadm55 1.4.3-5ubuntu0.5
librpcsecgss1 0.7-0ubuntu1.1

Ubuntu 6.10:
libkadm55 1.4.3-9ubuntu1.4
librpcsecgss2 0.13-2ubuntu0.1

Ubuntu 7.04:
libkadm55 1.4.4-5ubuntu3.2
librpcsecgss3 0.14-2ubuntu1.1

In general, a standard system upgrade is sufficient to affect the
necessary changes.

http://www.securityspace.com/smysecure/catid.html?in=USN-511-1

Risk factor : Critical
Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2007-3999
Bugtraq: 20070906 rPSA-2007-0179-1 krb5 krb5-server krb5-services krb5-test krb5-workstation (Google Search)
http://www.securityfocus.com/archive/1/archive/1/478748/100/0/threaded
Bugtraq: 20070912 ZDI-07-052: Multiple Kerberos Implementations Authentication Context Stack Overflow Vulnerability (Google Search)
http://www.securityfocus.com/archive/1/archive/1/479251/100/0/threaded
http://lists.rpath.com/pipermail/security-announce/2007-September/000237.html
https://bugzilla.redhat.com/show_bug.cgi?id=250973
http://www.zerodayinitiative.com/advisories/ZDI-07-052.html
http://lists.apple.com/archives/security-announce/2007/Nov/msg00002.html
Debian Security Information: DSA-1367 (Google Search)
http://www.debian.org/security/2007/dsa-1367
Debian Security Information: DSA-1368 (Google Search)
http://www.debian.org/security/2007/dsa-1368
https://www.redhat.com/archives/fedora-package-announce/2007-September/msg00087.html
https://www.redhat.com/archives/fedora-package-announce/2008-March/msg00173.html
http://www.gentoo.org/security/en/glsa/glsa-200709-01.xml
http://security.gentoo.org/glsa/glsa-200710-01.xml
http://www.mandriva.com/security/advisories?name=MDKSA-2007:174
http://www.mandriva.com/security/advisories?name=MDKSA-2007:181
http://www.redhat.com/support/errata/RHSA-2007-0858.html
http://www.redhat.com/support/errata/RHSA-2007-0913.html
http://www.redhat.com/support/errata/RHSA-2007-0951.html
http://sunsolve.sun.com/search/document.do?assetkey=1-26-103060-1
http://sunsolve.sun.com/search/document.do?assetkey=1-66-201319-1
SuSE Security Announcement: SUSE-SR:2007:019 (Google Search)
http://www.novell.com/linux/security/advisories/2007_19_sr.html
SuSE Security Announcement: SUSE-SR:2007:024 (Google Search)
http://www.novell.com/linux/security/advisories/2007_24_sr.html
http://www.trustix.org/errata/2007/0026/
http://www.ubuntu.com/usn/usn-511-1
Cert/CC Advisory: TA07-319A
http://www.us-cert.gov/cas/techalerts/TA07-319A.html
CERT/CC vulnerability note: VU#883632
http://www.kb.cert.org/vuls/id/883632
BugTraq ID: 25534
http://www.securityfocus.com/bid/25534
BugTraq ID: 26444
http://www.securityfocus.com/bid/26444
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:9379
http://www.vupen.com/english/advisories/2007/3051
http://www.vupen.com/english/advisories/2007/3052
http://www.vupen.com/english/advisories/2007/3060
http://www.vupen.com/english/advisories/2007/3868
http://www.vupen.com/english/advisories/2008/0803/references
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:3162
http://www.securitytracker.com/id?1018647
http://secunia.com/advisories/26680
http://secunia.com/advisories/26699
http://secunia.com/advisories/26728
http://secunia.com/advisories/26676
http://secunia.com/advisories/26684
http://secunia.com/advisories/26691
http://secunia.com/advisories/26700
http://secunia.com/advisories/26705
http://secunia.com/advisories/26792
http://secunia.com/advisories/26783
http://secunia.com/advisories/26822
http://secunia.com/advisories/26896
http://secunia.com/advisories/26697
http://secunia.com/advisories/27043
http://secunia.com/advisories/27081
http://secunia.com/advisories/26987
http://secunia.com/advisories/26713
http://secunia.com/advisories/27146
http://secunia.com/advisories/27643
http://secunia.com/advisories/27756
http://secunia.com/advisories/29247
http://secunia.com/advisories/29270
http://securityreason.com/securityalert/3092
XForce ISS Database: kerberos-rpcsecgss-bo(36437)
http://xforce.iss.net/xforce/xfdb/36437
CopyrightCopyright (c) 2007 E-Soft Inc. http://www.securityspace.com

This is only one of 40246 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.

New User Registration
Email:
UserID:
Passwd:
Please email me your monthly newsletters, informing the latest services, improvements & surveys.
Please email me a vulnerability test announcement whenever a new test is added.
   Privacy
Registered User Login
 
UserID:   
Passwd:  

 Forgot userid or passwd?
Email/Userid:




Home | About Us | Contact Us | Partner Programs | Developer APIs | Privacy | Mailing Lists | Abuse
Security Audits | Managed DNS | Network Monitoring | Site Analyzer | Internet Research Reports
Web Probe | Whois

© 1998-2014 E-Soft Inc. All rights reserved.